#pragma once
#include <gl/gl.h>
#include "TVector.h"
#include "TMatrix4x4.h"

class TCamera
{
public:
	TPose      Pose; //Object Pose
    TMatrix4x4 TR;  //TR Matrix


	TCamera(void) {Pose.Clear();TR.LoadIdentity();}
	~TCamera(void) {}

	void BuildMatrix(); //Builds the TRS Matrix
	void Translate(float x, float y, float z);
	void Rotate   (float roll, float pitch, float yaw);
};

