#pragma once

#include "TVector.h"

class TMatrix4x4
{
public:
	float m[16];
	TMatrix4x4(void) {memset(&m,0,sizeof(float)*16);}
	~TMatrix4x4(void){}
	void Clear();
	void LoadIdentity();
	void Transpose();
	float Determinant();
	void Invert();
	void Mul(TMatrix4x4 * M);
	void Scalar(float s);
	TVector operator * (TVector & v);
	TMatrix4x4 operator * (TMatrix4x4 & m);
};

