#pragma once
#include <gl/gl.h>
#include <gl/glaux.h>
#include <gl/glut.h>
#include "TMaterial.h"


#define TXNEAREST 0
#define TXLINEAR  1
#define TXMIPMAP  2

#define TO_MAXNAME_LEN 256

typedef struct {char r,g,b;   }RGB8;
typedef struct {char r,g,b,a; }RGBA8;

class TTexture
{
public:
	char         Name[TO_MAXNAME_LEN];
    unsigned int Width;
    unsigned int Height;
    unsigned int Texture;
    int          Interpolation;
    int          CromaKey;
    RGBA8        KeyColor;

	TTexture(void);
	~TTexture(void);

	int LoadBMPTexture(char * filename, 
                       int InterpolationMode);
    int BuildTexture(RGBA8 * TxData);

};

