#ifndef __GEO3D_H
#define __GEO3D_H
#include <math.h>

#define PI  3.1415926535897932384626433832795
#define D2R 0.0174532925199432957692369076848
#define R2D 57.295779513082320876798154817014
#define B2F 0.00392156862f  //0-255 -> 0-1.0

class TVector
{
	float x,y,z;
	TVector() {x=y=z=0.0f;}
	~TVector() {}
	inline int operator ==  (TVector &v);
	inline int operator !=  (TVector &v);
	inline int operator ==  (TVector &v);
	inline TVector operator -  (TVector &v);
	inline TVector operator +  (TVector &v);
	inline TVector operator *  (TVector &v);
	inline TVector operator /  (TVector &v);
	inline TVector operator -=  (TVector &v);
	inline TVector operator +=  (TVector &v);
	inline TVector operator *=  (TVector &v);
	inline TVector operator /=  (TVector &v);
	inline TVector operator -  (float &v);
	inline TVector operator +  (float &v);
	inline TVector operator *  (float &v);
	inline TVector operator /  (float &v);
	inline TVector operator -=  (float &v);
	inline TVector operator +=  (float &v);
	inline TVector operator *=  (float &v);
	inline TVector operator /=  (float &v);
	TVector Normalize();
};

typedef TVector TVertex;


